Package com.sun.jna.platform.mac

## Class MacFileUtils

- java.lang.Object
- - com.sun.jna.platform.FileUtils
  - - com.sun.jna.platform.mac.MacFileUtils

    public class MacFileUtils
    extends FileUtils

### Nested Class Summary

Nested Classes
`static interface` `MacFileUtils.FileManager`

### Constructor Summary

Constructors
`MacFileUtils()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasTrash()`
`void` `moveToTrash​(java.io.File... files)` Move the given file to the system trash, if one is available.

### Methods inherited from class com.sun.jna.platform.FileUtils

`getInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MacFileUtils

    public MacFileUtils()

### Method Detail

#### hasTrash

    public boolean hasTrash()

Overrides:
  `hasTrash` in class `FileUtils`

#### moveToTrash

    public void moveToTrash​(java.io.File... files)
                     throws java.io.IOException

Description copied from class: `FileUtils`
Move the given file to the system trash, if one is available.

Specified by:
  `moveToTrash` in class `FileUtils`
Parameters:
  `files` - files to move
Throws:
  `java.io.IOException` - on failure.